import React from 'react';
import { NumericFormatProps, ChangeMeta, InputAttributes, FormatInputValueFunction, RemoveFormattingFunction } from './types';
export declare function format(numStr: string, props: NumericFormatProps): string;
export declare function removeFormatting(value: string, changeMeta: ChangeMeta, props: NumericFormatProps): string;
export declare function getCaretBoundary(formattedValue: string, props: NumericFormatProps): boolean[];
export declare function useNumericFormat<BaseType = InputAttributes>(props: NumericFormatProps<BaseType>): {
    value: string;
    isNumericString: boolean;
    onValueChange: (values: import("./types").NumberFormatValues, sourceInfo: import("./types").SourceInfo) => void;
    format: FormatInputValueFunction;
    removeFormatting: RemoveFormattingFunction;
    getCaretBoundary: (formattedValue: string) => boolean[];
    onKeyDown: React.KeyboardEventHandler<HTMLInputElement>;
    onBlur: React.FocusEventHandler<HTMLInputElement>;
};
export default function NumericFormat<BaseType = InputAttributes>(props: NumericFormatProps<BaseType>): JSX.Element;
