import React from 'react';
import { PatternFormatProps, InputAttributes, ChangeMeta } from './types';
export declare function format(numStr: string, props: PatternFormatProps): string;
export declare function removeFormatting(value: string, changeMeta: ChangeMeta, props: PatternFormatProps): string;
export declare function getCaretBoundary(formattedValue: string, props: PatternFormatProps): boolean[];
export declare function usePatternFormat<BaseType = InputAttributes>(props: PatternFormatProps<BaseType>): {
    inputMode: "text" | "tel" | "none" | "url" | "email" | "numeric" | "decimal" | "search";
    format: (numStr: string) => string;
    removeFormatting: (inputValue: string, changeMeta: ChangeMeta) => string;
    getCaretBoundary: (formattedValue: string) => boolean[];
    onKeyDown: (e: React.KeyboardEvent<HTMLInputElement>) => void;
};
export default function PatternFormat<BaseType = InputAttributes>(props: PatternFormatProps<BaseType>): JSX.Element;
